Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class ServerCloneException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.CloneNotSupportedException
                        |
                        +--java.rmi.server.ServerCloneException

All Implemented Interfaces:
  Serializable

public class ServerCloneException
extends CloneNotSupportedException

A `ServerCloneException` is thrown if a remote exception occurs during the cloning of a `UnicastRemoteObject`.

Since:
  JDK1.1
See Also:
  `UnicastRemoteObject.clone()`, Serialized Form

Field Summary
`Exception` | `detail` Nested exception for ServerCloneException.

Constructor Summary
`ServerCloneException(String s)` Constructs an `ServerCloneException` with the specified detail message.
`ServerCloneException(String s, Exception ex)` Constructs an `ServerCloneException` with the specified detail message and nested exception.

Method Summary
`String` | `getMessage()` Obtains the message, include the message from the nested exception if there is one.
`void` | `printStackTrace()` Returns the detail message, including the message from the nested exception if there is one.
`void` | `printStackTrace(PrintStream ps)` Prints the composite message and the embedded stack trace to the specified stream `ps`.
`void` | `printStackTrace(PrintWriter pw)` Prints the composite message and the embedded stack trace to the specified writer `pw`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public Exception detail

  Nested exception for ServerCloneException.
  Since:
    JDK1.1

Constructor Detail

### ServerCloneException

    public ServerCloneException(String s)

  Constructs an `ServerCloneException` with the specified detail message.
  Parameters:
    `s` - the detail message.
  Since:
    JDK1.1

### ServerCloneException

    public ServerCloneException(String s,
                                Exception ex)

  Constructs an `ServerCloneException` with the specified detail message and nested exception.
  Parameters:
    `s` - the detail message.
    `ex` - the nested exception
  Since:
    JDK1.1

Method Detail

### getMessage

    public String getMessage()

  Obtains the message, include the message from the nested exception if there is one.
  Overrides:
    `getMessage` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Returns:
    the error message string of this `Throwable` object if it was `created` with an error message string; or `null` if it was `created` with no error message.

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the composite message and the embedded stack trace to the specified stream `ps`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `ps` - the print stream
  Since:
    1.2

### printStackTrace

    public void printStackTrace()

  Returns the detail message, including the message from the nested exception if there is one.
  Overrides:
    `printStackTrace` in class `Throwable`
  Since:
    JDK1.1

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the composite message and the embedded stack trace to the specified writer `pw`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `pw` - the print writer
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.